## ksystemlog 20.08.1

=== debian/changelog ===
ksystemlog (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:44 +0100

ksystemlog (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:50:37 +0100

ksystemlog (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:41:25 +0100

ksystemlog (4:20.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (19.08.1).
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Build with hardening bindnow
  * Add a salsa-ci script

  [ Pino Toscano ]
  * New upstream release:
    - fixes crash when closing the window (Closes: #889919)
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.7.0
    - bump KF packages to 5.30.0
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Switch the debhelper build dependency to debhelper-compat.
  * Add Rules-Requires-Root: no.
  * Run the test suite at build time:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run, as a display is needed
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 13:07:25 +0200
