=== debian/changelog ===
ksystemlog (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - drop libkf5iconthemes-dev
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, Maximiliano Curia, Modestas Vainius from the
    uploaders, thanks for your work on the package!
  * Add myself to the uploaders.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 00:01:44 +0100
