=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Eshat Cakar <info@eshat.de>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.30.0~),
                gettext,
                libkf5archive-dev (>= 5.30.0~),
@@ -17,7 +15,6 @@
                libkf5coreaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5iconthemes-dev (>= 5.30.0~),
                libkf5itemviews-dev (>= 5.30.0~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5textwidgets-dev (>= 5.30.0~),
@@ -29,9 +26,9 @@
                qtbase5-dev (>= 5.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/ksystemlog
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git
