## ksystemlog 21.08.0

=== debian/changelog ===
ksystemlog (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:27:36 +0900

ksystemlog (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update upstream signing key.
  * Update dependencies from cmake.
  * Drop Kubuntu from maintainer name.
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 11:42:46 +0900
