=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: ksystemlog
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.30.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
-               libkf5archive-dev (>= 5.30.0~),
-               libkf5completion-dev (>= 5.30.0~),
-               libkf5config-dev (>= 5.30.0~),
-               libkf5coreaddons-dev (>= 5.30.0~),
-               libkf5doctools-dev (>= 5.30.0~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5itemviews-dev (>= 5.30.0~),
-               libkf5kio-dev (>= 5.30.0~),
-               libkf5textwidgets-dev (>= 5.30.0~),
-               libkf5widgetsaddons-dev (>= 5.30.0~),
-               libkf5xmlgui-dev (>= 5.30.0~),
+               libkf5archive-dev (>= 5.83.0~),
+               libkf5completion-dev (>= 5.83.0~),
+               libkf5config-dev (>= 5.83.0~),
+               libkf5coreaddons-dev (>= 5.83.0~),
+               libkf5doctools-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5itemviews-dev (>= 5.83.0~),
+               libkf5kio-dev (>= 5.83.0~),
+               libkf5textwidgets-dev (>= 5.83.0~),
+               libkf5widgetsaddons-dev (>= 5.83.0~),
+               libkf5xmlgui-dev (>= 5.83.0~),
                libsystemd-dev [linux-any],
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.7.0~),
+               qtbase5-dev (>= 5.15.0~),
                xauth,
                xvfb,
 Standards-Version: 4.5.1
