## ksystemlog 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
-project(KSystemlog)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.7.0")
-set (KF5_MIN_VERSION "5.30.0")
+project(KSystemlog VERSION ${RELEASE_SERVICE_VERSION})
+
+set (QT_MIN_VERSION "5.15.0")
+set (KF5_MIN_VERSION "5.85.0")
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -17,9 +18,17 @@
 
 include(ECMSetupVersion)
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
+include(ECMQtDeclareLoggingCategory)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+
+
 
 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSYSTEMLOG
                   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/ksystemlog_version.h")
@@ -48,6 +57,7 @@
 )
 
 find_package(Journald)
+find_package(Audit)
 
 include(CheckIncludeFile)
 include(CheckIncludeFiles)
@@ -83,36 +93,23 @@
     add_definitions(-DHAVE_JOURNALD)
 endif (${JOURNALD_FOUND})
 
+if (${AUDIT_FOUND})
+    add_definitions(-DHAVE_AUDIT)
+endif (${AUDIT_FOUND})
+
 ########### Subfolders ##########
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+
 
 add_subdirectory(src)
-add_subdirectory(src/lib)
-add_subdirectory(src/config)
 
-add_subdirectory(src/modes/base)
-add_subdirectory(src/modes/open)
-
-add_subdirectory(src/modes/system)
-add_subdirectory(src/modes/kernel)
-add_subdirectory(src/modes/xorg)
-add_subdirectory(src/modes/cron)
-add_subdirectory(src/modes/authentication)
-add_subdirectory(src/modes/daemon)
-add_subdirectory(src/modes/acpid)
-add_subdirectory(src/modes/xsession)
-add_subdirectory(src/modes/apache)
-add_subdirectory(src/modes/postfix)
-add_subdirectory(src/modes/samba)
-add_subdirectory(src/modes/cups)
-if (${JOURNALD_FOUND})
-    add_subdirectory(src/modes/journald)
-endif (${JOURNALD_FOUND})
-
-add_subdirectory(tests)
+add_subdirectory(autotests)
 add_subdirectory(doc)
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
 kdoctools_install(po)
-
+ecm_qt_install_logging_categories(EXPORT KSYSTEMLOG FILE ksystemlog.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
