=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/..
     ${CMAKE_CURRENT_BINARY_DIR}/../config
 )
-
-set(ksystemlog_lib_sources
+add_library(ksystemlog_lib STATIC ${ksystemlog_lib_sources})
+target_sources(ksystemlog_lib PRIVATE
     analyzer.cpp
     fileAnalyzer.cpp
     logModeFactory.cpp
@@ -37,10 +37,11 @@
     multipleActions.cpp
     levelPrintPage.cpp
 )
+ecm_qt_declare_logging_category(ksystemlog_lib HEADER ksystemlog_debug.h IDENTIFIER KSYSTEMLOG CATEGORY_NAME log_ksystemlog DESCRIPTION "ksystemlog" EXPORT KSYSTEMLOG)
 
-ki18n_wrap_ui(ksystemlog_lib_sources logViewSearchWidgetBase.ui)
+ki18n_wrap_ui(ksystemlog_lib logViewSearchWidgetBase.ui)
 
-add_library(ksystemlog_lib STATIC ${ksystemlog_lib_sources})
+
 
 add_dependencies(
     ksystemlog_lib
@@ -49,11 +50,11 @@
 
 target_link_libraries(ksystemlog_lib
     ksystemlog_config
-    Qt5::Widgets
-    Qt5::PrintSupport
+    Qt::Widgets
+    Qt::PrintSupport
     KF5::I18n
     KF5::Archive
-    KF5::ConfigWidgets
+    KF5::WidgetsAddons
     KF5::ItemViews
     KF5::KIOCore
     KF5::Completion
