=== debian/control ===
Source: ksystemlog
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               libaudit-dev,
               libkf5archive-dev (>= 5.85.0~),
               libkf5completion-dev (>= 5.85.0~),
               libkf5config-dev (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               libkf5doctools-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5itemviews-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5textwidgets-dev (>= 5.85.0~),
               libkf5widgetsaddons-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libsystemd-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ksystemlog
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog

Package: ksystemlog
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: system log viewer
 KSystemLog show all logs of your system, grouped by General (Default system
 log, Authentication, Kernel, X.org...), and optional Services (Apache, Cups,
 etc, ...). It includes many features to read nicely your log files:
  * Colorize log lines depending on their severities
  * Tabbed view to allow displaying several logs at the same time
  * Auto display new lines logged
  * Detailed information for each log lines
 .
 This package is part of the KDE administration module.
