## ksystemlog 22.12.1

=== debian/changelog ===
ksystemlog (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:21 +0100

ksystemlog (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:53 +0100

ksystemlog (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:04 +0100

ksystemlog (4:22.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - does not mark KF deprecation warnings as error (Closes: #1020044)
  * Update standards version to 4.6.1, no changes needed.
  * Remove inactive Uploaders.
  * Update build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.92.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 09:07:01 +0200

ksystemlog (4:21.12.3-2) unstable; urgency=medium

  * Team upload.
  * Limit the libaudit-dev build dependency as linux-any, as libaudit is
    specific to Linux.
  * CI: enable blhc, as it should work fine now.
  * Enable all the tests, as some were silently disabled in 4:20.12.0-1.

 -- Pino Toscano <pino@debian.org>  Thu, 17 Mar 2022 07:00:19 +0100
